## DzlStackList

DzlStackList

## Functions

GtkWidget * | (*DzlStackListCreateWidgetFunc) ()
GtkWidget * | dzl_stack_list_new ()
void | dzl_stack_list_push ()
void | dzl_stack_list_pop ()
GListModel * | dzl_stack_list_get_model ()
guint | dzl_stack_list_get_depth ()
void | dzl_stack_list_clear ()

## Properties

GListModel * | model | Read

## Signals

void | header-activated | Run Last
void | row-activated | Run Last

## Types and Values

#define | DZL_TYPE_STACK_LIST
struct | DzlStackListClass
| DzlStackList

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlStackList

## Implemented Interfaces

DzlStackList implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### DzlStackListCreateWidgetFunc ()

    GtkWidget *
    (*DzlStackListCreateWidgetFunc) (gpointer item,
                                     gpointer user_data);

Called for stack lists that are bound to a GListModel with `dzl_stack_list_push()` for each item that gets added to the model.

#### Parameters

item | the item from the model for which to create a widget for. | [type GObject]
user_data | user data from `dzl_stack_list_push()`. | [closure]

#### Returns

a GtkWidget that represents `item` .

[transfer full]

### dzl_stack_list_new ()

    GtkWidget *
    dzl_stack_list_new (void);

### dzl_stack_list_push ()

    void
    dzl_stack_list_push (DzlStackList *self,
                         GtkWidget *header,
                         GListModel *model,
                         DzlStackListCreateWidgetFunc create_widget_func,
                         gpointer user_data,
                         GDestroyNotify user_data_free_func);

### dzl_stack_list_pop ()

    void
    dzl_stack_list_pop (DzlStackList *self);

### dzl_stack_list_get_model ()

    GListModel *
    dzl_stack_list_get_model (DzlStackList *self);

#### Returns

An DzlStackList.

[transfer none]

### dzl_stack_list_get_depth ()

    guint
    dzl_stack_list_get_depth (DzlStackList *self);

### dzl_stack_list_clear ()

    void
    dzl_stack_list_clear (DzlStackList *self);

## Types and Values

### DZL_TYPE_STACK_LIST

    #define DZL_TYPE_STACK_LIST (dzl_stack_list_get_type())

### struct DzlStackListClass

    struct DzlStackListClass {
      GtkBinClass parent_instance;

      void (*row_activated)    (DzlStackList  *self,
                                GtkListBoxRow *row);
      void (*header_activated) (DzlStackList  *self,
                                GtkListBoxRow *row);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### DzlStackList

    typedef struct _DzlStackList DzlStackList;

## Property Details

### The `“model”` property

      “model”                    GListModel *

Model.

Owner: DzlStackList

Flags: Read

## Signal Details

### The `“header-activated”` signal

    void
    user_function (DzlStackList  *dzlstacklist,
                   GtkListBoxRow *arg1,
                   gpointer       user_data)

Flags: Run Last

### The `“row-activated”` signal

    void
    user_function (DzlStackList  *dzlstacklist,
                   GtkListBoxRow *arg1,
                   gpointer       user_data)

Flags: Run Last